TPMS_POLICYSECRET Struct Reference

`#include <ifapi_policy_types.h>`

## Data Fields

TPM2B_NONCE | nonceTPM
TPM2B_DIGEST | cpHashA
TPM2B_NONCE | policyRef
INT32 | expiration
char * | objectPath
TPM2B_NAME | objectName

## Detailed Description

Policy type TPMS_POLICYSECRET

## Field Documentation

## cpHashA

TPM2B_DIGEST cpHashA

None

## expiration

INT32 expiration

None

## nonceTPM

TPM2B_NONCE nonceTPM

None

## objectName

TPM2B_NAME objectName

Public name of the object

## objectPath

char* objectPath

Path of the object

## policyRef

TPM2B_NONCE policyRef

Default is zero length

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_policy_types.h